RECIBIDO, FACTIBILIDAD, FALTA_INFO, SOW, FIRMA, IMPLEMENTACION, COMPLETADO.initial_status_code on request creation, new_status_code when changing a request's status). Attempting to create or rename a status into a colliding code returns 409 Conflict.List returns statuses sorted by it ascending.PRE_SOW, POST_SOW).StageName, used to keep XC status in sync with Salesforce.id is server-generated — never sent in create/update request bodies, even though the shared response schema for this resource lists it as required (it's a response-only field).current_status_id sets that field to null; deleting a status referenced by any XC Status History entry (new_status_id) is rejected with a database foreign-key error, not a friendly application error.GET /v1/xc/statusesorder_index.POST /v1/xc/statusescode and name are required.GET /v1/xc/statuses/{id}PATCH /v1/xc/statuses/{id}DELETE /v1/xc/statuses/{id}routes/v1/xc/statuses.router.jscontrollers/xc/statuses.controller.jsservices/xc/statuses.service.jsentities/xc-status.js